
.checkbox.style-e {
  display: inline-block;
  position: relative;
  width: 100%;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.checkbox.style-e input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}
.checkbox.style-e input:checked ~ .checkbox__checkmark-wrapper  .checkbox__checkmark {
  background-color: #5555dc;
}
.checkbox.style-e input:checked ~ .checkbox__checkmark-wrapper  .checkbox__checkmark:after {
  left: 21px;
}
.checkbox.style-e:hover input ~ .checkbox__checkmark-wrapper .checkbox__checkmark {
  background-color: #eee;
}
.checkbox.style-e:hover input:checked ~ .checkbox__checkmark-wrapper .checkbox__checkmark {
  background-color: #5555dc;
}
.checkbox.style-e .checkbox__checkmark {
  position: absolute;
  top: 1px;
  right: 0;
  height: 22px;
  width: 40px;
  background-color: #eee;
  transition: background-color 0.25s ease;
  border-radius: 11px;
}
.checkbox.style-e .checkbox__checkmark:after {
  content: "";
  position: absolute;
  left: 3px;
  top: 3px;
  width: 16px;
  height: 16px;
  display: block;
  background-color: #fff;
  border-radius: 50%;
  transition: left 0.25s ease;
}
.checkbox.style-e .checkbox__body {
  color: #333;
  line-height: 1.4;
  font-size: 16px;
  transition: color 0.25s ease;
}
    #background {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #000;
        z-index: 1000;
        opacity: 0.6;
    }
    #cookies-wrapper {
      display: none;
      align-items: center;
      flex-direction: column;
      position: sticky;
      bottom: 0;
      z-index: 100;
      background-color: #fff;
      padding: 20px 0px;
    }
    #cookies-settins-wrapper {
        position: fixed;
        top: 0;
        height: 100%;
        left: 0;
        width: 100%;
        display: flex;
        z-index: 1001;
        justify-content: center;
        align-items: center;
        display: none;
    }
    #cookies-settins-form {
        position: fixed;
        width: 600px;
        height: 800px;
        background-color: white;
        z-index: 1002;
        padding: 20px 40px;
        border-radius: 8px;
    }
    #checkboxes {
        overflow-y: scroll;
        display: block;
        height: 440px;
        margin-bottom: 40px;
        padding-right: 20px;
    }
    .btn-cookie-form {
      padding: 20px;
      font-size: 14px;
      height: 40px;
    }
	
	#cookie-manage{
		cursor: pointer;
		
	}
	
	.footer__part-item-confidentiality{
		flex-wrap: wrap;
	}
	
	@media (max-width: 600px) {
		#cookies-wrapper {
			padding: 70px 0px;
		}
		#cookie-manage{
			flex: 0 0 100%;
		}
	}
	
	.checkbox.style-e {
  display: inline-block;
  position: relative;
  width: 100%;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.checkbox.style-e input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}
.checkbox.style-e input:checked ~ .checkbox__checkmark-wrapper  .checkbox__checkmark {
  background-color: #5555dc;
}
.checkbox.style-e input:checked ~ .checkbox__checkmark-wrapper  .checkbox__checkmark:after {
  left: 21px;
}
.checkbox.style-e:hover input ~ .checkbox__checkmark-wrapper .checkbox__checkmark {
  background-color: #eee;
}
.checkbox.style-e:hover input:checked ~ .checkbox__checkmark-wrapper .checkbox__checkmark {
  background-color: #5555dc;
}
.checkbox.style-e .checkbox__checkmark {
  position: absolute;
  top: 1px;
  right: 0;
  height: 22px;
  width: 40px;
  background-color: #eee;
  transition: background-color 0.25s ease;
  border-radius: 11px;
}
.checkbox.style-e .checkbox__checkmark:after {
  content: "";
  position: absolute;
  left: 3px;
  top: 3px;
  width: 16px;
  height: 16px;
  display: block;
  background-color: #fff;
  border-radius: 50%;
  transition: left 0.25s ease;
}
.checkbox.style-e .checkbox__body {
  color: #333;
  line-height: 1.4;
  font-size: 16px;
  transition: color 0.25s ease;
}
#background {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #000;
        z-index: 1000;
        opacity: 0.6;
    }
    #cookies-wrapper {
      display: none;
      align-items: center;
      flex-direction: column;
      position: sticky;
      bottom: 0;
      z-index: 1000;
      background-color: #fff;
      padding: 20px 0px;
    }
    #cookies-settins-wrapper {
        position: fixed;
        top: 0;
        height: 100%;
        left: 0;
        width: 100%;
        display: flex;
        z-index: 1001;
        justify-content: center;
        align-items: center;
        display: none;
    }
    #cookies-settins-form {
        position: fixed;
        width: 600px;
        height: 700px;
        background-color: white;
        z-index: 1002;
        padding: 20px 40px;
        border-radius: 8px;
    }
    #checkboxes {
        overflow-y: scroll;
        display: block;
        height: 340px;
        margin-bottom: 40px;
        padding-right: 20px;
    }
    .btn-cookie-form {
      padding: 20px;
      font-size: 12px;
      height: 40px;
    }

    @media screen and (max-width: 490px) {
        #buttons {
            display: flex;
            flex-direction: column;
        }
        #buttons .btn-primary {
            margin-top: 5px;
        }
        #cookies-settins-form {
            width: 100vw;
            height: 95vh;
        }
        
        #cookies-settins-form-buttons {
            display: flex;
            flex-direction: column;
        }
        #cookies-settins-form-buttons .btn {
            margin-top: 5px;
        }
        #cookies-wrapper>p {
          font-size: 12px;
          text-align: center;
          margin-bottom: 14px;
        }
        #cookie-only_essential-btn,
        #accept-all-cookies-btn {
          margin-bottom: 4px;
        }
        #cookies-settins-form #checkboxes {
            height: calc(65vh - 270px);
        }
    }
    @media screen and (max-width: 375px) {
        #cookies-settins-form h2,
        #cookies-settins-form form h3 {
          font-size: 18px;
        }
        #cookies-settins-form p {
          font-size: 13px;
        }
    }
    /* @media screen and (max-width: 375px) and (max-height: 667px) { */
        /* #cookies-settins-form #checkboxes { */
            /* height: calc(65vh - 210px); */
        /* } */
    /* } */
    /* @media screen and (max-width: 490px) and (max-height: 667px) { */
        /* #cookies-settins-form #checkboxes { */
            /* height: calc(65vh - 250px); */
        /* } */
    /* } */
    /* @media screen and (max-width: 490px) and (min-height: 668px) and (max-height: 844px) { */
        /* #cookies-settins-form #checkboxes { */
            /* height: calc(65vh - 230px); */
        /* } */
    /* } */
    /* @media screen and (max-width: 490px) and (min-height: 845px) and (max-height: 932px) { */
        /* #cookies-settins-form #checkboxes { */
            /* height: calc(65vh - 170px); */
        /* } */
    /* } */